cURL
curl --request POST \ --url https://api.voxo.co/v2/reporting/queues/stats \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "queueId": [ 1 ], "startDate": "<string>", "endDate": "<string>" } '
{ "queueIds": [ 123 ], "results": [ { "inboundAnswered": 123, "talkTime": 123, "ringTime": 123, "waitTime": 123, "outbound": 123, "outboundTalkTime": 123, "exitTimeout": 123, "exitKeypress": 123, "abandons": 123, "abandonsUnder10": 123, "totalCallbacks": 123, "successfulCallbacks": 123, "failedCallbacks": 123, "queueId": 123, "queueName": "<string>", "totalInbound": 123, "answeredUnder30": 123, "ringNoAnswer": 123, "noAnswerRingTime": 123, "minWaitTime": 123, "maxWaitTime": 123, "totalOutbound": 123, "distribution": "<string>", "date": "<string>", "peerName": "<string>" } ] }
Get queue statistics for the authenticated user’s queues
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Queue IDs to include in the report
x > 0
Start date for the report period
End date for the report period
Time distribution grouping (daily, weekly, monthly, or totals)
weekly
Queue statistics
Queue IDs included
Queue statistics results
Show child attributes
Was this page helpful?
Contact support